Read one connected app's connection: who the app is, its state, what it may do, who approved it and when, and (for who reads Notifications) the messages it sent, the templates it made and its last calls.
curl --request GET \
--url https://tawked.com/v1/applications/{application}/integrations/apps/{connection} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tawked.com/v1/applications/{application}/integrations/apps/{connection}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tawked.com/v1/applications/{application}/integrations/apps/{connection}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://tawked.com/v1/applications/{application}/integrations/apps/{connection}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}integrations
integrations.apps.show
GET
/
v1
/
applications
/
{application}
/
integrations
/
apps
/
{connection}
Read one connected app's connection: who the app is, its state, what it may do, who approved it and when, and (for who reads Notifications) the messages it sent, the templates it made and its last calls.
curl --request GET \
--url https://tawked.com/v1/applications/{application}/integrations/apps/{connection} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tawked.com/v1/applications/{application}/integrations/apps/{connection}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tawked.com/v1/applications/{application}/integrations/apps/{connection}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://tawked.com/v1/applications/{application}/integrations/apps/{connection}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"fields": {},
"needs": "<string>",
"next": "<string>",
"did_you_mean": [
{}
],
"human_action": {
"reason": "connect_whatsapp",
"url": "<string>",
"say": "<string>",
"then": "<string>"
},
"approval": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}Authorizations
An account token from Settings › Account API in the Tawked console: Authorization: Bearer tk_acct_…
Path Parameters
An application's id (a UUID); list them with applications.applications.list.
Pattern:
^(?:[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12})$The id of a connected app's connection to the application (a UUID); list them with integrations.apps.list.
Pattern:
^(?:[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12})$Response
Done.